.shop-quiz__container {
  display: flex;
  flex-direction: column;
  gap: 40px;
}
.shop-quiz_first-question .shop-quiz__quiz-question-actions-btn[data-type='back'] {
  display: none;
}
.shop-quiz_finished .shop-quiz__quiz,
.shop-quiz_finished .shop-quiz__quiz-question-actions-btn {
  display: none;
}
.shop-quiz_finished .shop-quiz__result {
  display: flex;
}
.shop-quiz__title {
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 40px;
  color: black;
  line-height: 110%;
  margin: 0;
}
@media (max-width: 640px) {
  .shop-quiz__title {
    font-size: 26px;
    padding: 0 16px;
  }
}
.shop-quiz__quiz {
  box-sizing: border-box;
  padding: 40px;
  background-color: #1d2c40;
  border-radius: 16px;
  display: flex;
  flex-direction: column;
  gap: 20px;
}
@media (max-width: 639px) {
  .shop-quiz__quiz {
    padding: 40px 16px;
  }
}
.shop-quiz__quiz-header {
  display: flex;
  justify-content: space-between;
  align-items: start;
}
.shop-quiz__quiz-header-title {
  font-family: var(--font-random-grotesque-standard);
  font-weight: 400;
  font-size: 30px;
  color: white;
  line-height: 110%;
}
@media (max-width: 1199px) {
  .shop-quiz__quiz-header-title {
    font-size: 28px;
  }
}
.shop-quiz__quiz-header-progress {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
}
.shop-quiz__quiz-header-progress-bar {
  width: 44px;
  height: 44px;
}
.shop-quiz__quiz-header-progress-bar-circle {
  transition: stroke-dashoffset 0.35s;
  transform: rotate(-90deg);
  transform-origin: 50% 50%;
  stroke-dasharray: 106.81;
  stroke-dashoffset: 106.81;
  /* 0% progress, empty */
}
.shop-quiz__quiz-header-progress-text {
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 10px;
  color: white;
  line-height: 135%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  -webkit-user-select: none;
}
.shop-quiz__quiz-question {
  display: flex;
  flex-direction: column;
  gap: 24px;
}
.shop-quiz__quiz-question-options {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 12px;
}
@media (max-width: 1200px) {
  .shop-quiz__quiz-question-options {
    grid-template-columns: 1fr 1fr;
  }
}
@media (max-width: 640px) {
  .shop-quiz__quiz-question-options {
    grid-template-columns: 1fr;
  }
}
@media (max-width: 360px) {
  .shop-quiz__quiz-question-options {
    grid-template-columns: 1fr;
  }
}
.shop-quiz__quiz-question-options-item {
  box-sizing: border-box;
  padding: 14px 12px;
  background-color: white;
  border-radius: 12px;
  display: flex;
  gap: 10px;
  align-items: center;
  cursor: pointer;
  transition: opacity 0.2s ease-out;
}
.shop-quiz__quiz-question-options-item:active {
  opacity: 0.8;
}
@media (hover: hover) and (pointer: fine) {
  .shop-quiz__quiz-question-options-item:hover {
    opacity: 0.8;
  }
}
.shop-quiz__quiz-question-options-item_selected .shop-quiz__quiz-question-options-item-checkbox {
  background-color: #fcf806;
}
.shop-quiz__quiz-question-options-item_selected .shop-quiz__quiz-question-options-item-checkbox-icon {
  visibility: visible;
}
.shop-quiz__quiz-question-options-item_ratio .shop-quiz__quiz-question-options-item-checkbox {
  border-radius: 25px;
}
.shop-quiz__quiz-question-options-item-checkbox {
  background-color: rgba(29, 44, 64, 0.1);
  height: 20px;
  width: 20px;
  border-radius: 3px;
  display: flex;
  justify-content: center;
  align-items: center;
}
.shop-quiz__quiz-question-options-item-text {
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 17px;
  color: black;
  line-height: 135%;
  -webkit-user-select: none;
}
.shop-quiz__quiz-question-options-item-checkbox-icon {
  -webkit-user-select: none;
  -webkit-user-drag: none;
  width: 16px;
  height: 16px;
  visibility: hidden;
}
.shop-quiz__quiz-question-actions {
  display: flex;
  justify-content: center;
  gap: 12px;
}
.shop-quiz__quiz-question-actions-btn {
  box-sizing: border-box;
  padding: 10px 16px;
  border: none;
  border-radius: 12px;
  background-color: rgba(255, 255, 255, 0.05);
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  cursor: pointer;
  transition: background-color 0.2s ease-out;
}
@media (max-width: 959px) {
  .shop-quiz__quiz-question-actions-btn[data-type='forward'] {
    width: 100%;
  }
}
@media (max-width: 639px) {
  .shop-quiz__quiz-question-actions-btn[data-type='back'] span {
    display: none;
  }
}
.shop-quiz__quiz-question-actions-btn[data-type='forward'] {
  background-color: #fcf806;
}
.shop-quiz__quiz-question-actions-btn[data-type='forward'] .shop-quiz__quiz-question-actions-btn-text {
  color: black;
}
.shop-quiz__quiz-question-actions-btn[data-type='forward'] .shop-quiz__quiz-question-actions-btn-icon {
  rotate: 180deg;
}
.shop-quiz__quiz-question-actions-btn:active {
  background-color: rgba(29, 44, 64, 0.5);
}
@media (hover: hover) and (pointer: fine) {
  .shop-quiz__quiz-question-actions-btn:hover {
    background-color: rgba(29, 44, 64, 0.5);
  }
}
.shop-quiz__quiz-question-actions-btn[data-type='forward']:active {
  background-color: #fcda06;
}
@media (hover: hover) and (pointer: fine) {
  .shop-quiz__quiz-question-actions-btn[data-type='forward']:hover {
    background-color: #fcda06;
  }
}
.shop-quiz__quiz-question-actions-btn-text {
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 17px;
  color: white;
  line-height: 100%;
  -webkit-user-select: none;
}
.shop-quiz__quiz-question-actions-btn-icon {
  -webkit-user-select: none;
  -webkit-user-drag: none;
  rotate: 0deg;
}
.shop-quiz__result {
  box-sizing: border-box;
  margin: auto;
  padding: 40px;
  width: 100%;
  border-radius: 16px;
  display: none;
  flex-direction: column;
  align-items: center;
  gap: 32px;
  background: #1d2c40;
  background: radial-gradient(ellipse 1480px 463px at 50% 0%, #9238f2 0%, #1d2c40 80.54%);
}
.shop-quiz__result-title {
  margin: 0;
  font-family: var(--font-random-grotesque-standard);
  font-weight: 400;
  font-size: 30px;
  color: white;
  line-height: 110%;
  text-align: center;
}
@media (max-width: 640px) {
  .shop-quiz__result-title {
    font-size: 24px;
  }
}
.shop-quiz__result-products-carousel {
  position: relative;
  aspect-ratio: 444 / 230;
  max-width: 444px;
  width: 100%;
  height: auto;
  display: flex;
  align-items: center;
}
.shop-quiz__result-products-carousel-bg {
  position: absolute;
  z-index: 2;
  width: 100%;
  height: 100%;
  object-fit: cover;
  user-select: none;
  -webkit-user-drag: none;
  pointer-events: none;
}
.shop-quiz__result-products-carousel-product {
  position: relative;
  margin: 0 auto;
  width: auto;
  height: calc(100% - 30px);
  aspect-ratio: 1 / 1;
  object-fit: contain;
  z-index: 20;
  background-color: white;
  mix-blend-mode: darken;
  user-select: none;
  -webkit-user-drag: none;
  transition: opacity 0.3s ease;
}
@media (max-width: 500px) {
  .shop-quiz__result-products-carousel-product {
    height: calc(100% - 65px);
  }
}
@media (max-width: 420px) {
  .shop-quiz__result-products-carousel-product {
    height: calc(100% - 85px);
  }
}
@media (max-width: 390px) {
  .shop-quiz__result-products-carousel-product {
    height: calc(100% - 100px);
  }
}
.shop-quiz__result-show-btn {
  box-sizing: border-box;
  padding: 15px 16px;
  margin-top: 8px;
  border: none;
  border-radius: 12px;
  background-color: #fcf806;
  font-family: var(--font-mevermind-compact);
  font-weight: 500;
  font-size: 17px;
  color: black;
  line-height: 100%;
  text-align: center;
  text-decoration: none;
  -webkit-user-select: none;
  cursor: pointer;
  transition: background-color 0.2s ease;
}
@media (max-width: 640px) {
  .shop-quiz__result-show-btn {
    width: 100%;
  }
}
.shop-quiz__result-show-btn:active {
  background-color: #fcda06;
}
@media (hover: hover) and (pointer: fine) {
  .shop-quiz__result-show-btn:hover {
    background-color: #fcda06;
  }
}